Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.wsdl
Class WSDLUtil

    java.lang.Object
      org.apache.axis2.wsdl.WSDLUtil

    public class WSDLUtil

extends Object

Some utility methods for the WSDL users

Constructor Summary
`WSDLUtil()`

Method Summary
`static String` | `getConstantFromHTTPLocation(String httpLocation, String httpMethod)`
`static QName` | `getPartQName(String opName, String suffix, String partName)` part names are not unique across messages.
`static boolean` | `isInputPresentForMEP(String mep)` returns whether the given mep uri is one of the input meps
`static boolean` | `isOutputPresentForMEP(String MEP)` returns whether the given mep URI is one of the output meps

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSDLUtil

    public WSDLUtil()

Method Detail

### isInputPresentForMEP

    public static boolean isInputPresentForMEP(String mep)

  returns whether the given mep uri is one of the input meps

  Parameters:
    `mep` -

### isOutputPresentForMEP

    public static boolean isOutputPresentForMEP(String MEP)

  returns whether the given mep URI is one of the output meps

  Parameters:
    `MEP` -

### getPartQName

    public static QName getPartQName(String opName,
                                     String suffix,
                                     String partName)

  part names are not unique across messages. Hence we need some way of making the part name a unique one (due to the fact that the type mapper is a global list of types). The seemingly best way to do that is to specify a namespace for the part QName reference which is stored in the list. This part qname is temporary and should not be used with it's namespace URI (which happened to be the operation name) with _input (or a similar suffix) attached to it

  Parameters:
    `opName` -
    `suffix` -
    `partName` -

### getConstantFromHTTPLocation

    public static String getConstantFromHTTPLocation(String httpLocation,
                                                     String httpMethod)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.